/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.*;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：业务组件表_编辑
*
* createdate:  2022-10-26 17:52:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_编辑")
public class MdBusComponentInfoQueryDto  extends TenantPartition implements Serializable
{

    @ApiModelProperty("组件名称")
    private String comName;

    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;

    @ApiModelProperty("创建人")
    private String createdBy;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("目录Id")
    private String treeId;
    @ApiModelProperty("是否多系统。默认false非多系统")
    private boolean isMultiItem;

    private String tenantId;
    private List<String> treeIds;
    private List<String> projectList;
    private List<String> userIds;
    /**
     * 共享标识0-未共享，1-已共享<br>
     */
    @ApiModelProperty("共享标识0-未共享，1-已共享")
    private Integer sharedFlag;
    /**
     * 负责人id<br>
     */
    @ApiModelProperty("负责人id")
    @Size(max = 32, message="负责人id-principalId: 数据长度不能 > 32" )
    private String principalId;

    @ApiModelProperty("负责人")
    @Size(max = 32, message="负责人-principal: 数据长度不能 > 32" )
    private String principal;

    private List<String> principalIds;

    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedName;

    private List<String> updatedBys;

    @ApiModelProperty("创建时间开始")
    private String createdTimeStart;
    @ApiModelProperty("创建时间结束")
    private String createdTimeEnd;
    @ApiModelProperty("修改时间开始")
    private String updatedTimeStart;
    @ApiModelProperty("修改时间结束")
    private String updatedTimeEnd;

    private Date startCreatedTime;

    private Date endCreatedTime;

    private Date startUpdatedTime;

    private Date endUpdatedTime;

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    private String creatorId;

    private String updateBy;

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public List<String> getPrincipalIds() {
        return principalIds;
    }

    public void setPrincipalIds(List<String> principalIds) {
        this.principalIds = principalIds;
    }

    public String getUpdatedName() {
        return updatedName;
    }

    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    public List<String> getUpdatedBys() {
        return updatedBys;
    }

    public void setUpdatedBys(List<String> updatedBys) {
        this.updatedBys = updatedBys;
    }

    public String getCreatedTimeStart() {
        return createdTimeStart;
    }

    public void setCreatedTimeStart(String createdTimeStart) {
        this.createdTimeStart = createdTimeStart;
    }

    public String getCreatedTimeEnd() {
        return createdTimeEnd;
    }

    public void setCreatedTimeEnd(String createdTimeEnd) {
        this.createdTimeEnd = createdTimeEnd;
    }

    public String getUpdatedTimeStart() {
        return updatedTimeStart;
    }

    public void setUpdatedTimeStart(String updatedTimeStart) {
        this.updatedTimeStart = updatedTimeStart;
    }

    public String getUpdatedTimeEnd() {
        return updatedTimeEnd;
    }

    public void setUpdatedTimeEnd(String updatedTimeEnd) {
        this.updatedTimeEnd = updatedTimeEnd;
    }

    public Date getStartCreatedTime() {
        return startCreatedTime;
    }

    public void setStartCreatedTime(Date startCreatedTime) {
        this.startCreatedTime = startCreatedTime;
    }

    public Date getEndCreatedTime() {
        return endCreatedTime;
    }

    public void setEndCreatedTime(Date endCreatedTime) {
        this.endCreatedTime = endCreatedTime;
    }

    public Date getStartUpdatedTime() {
        return startUpdatedTime;
    }

    public void setStartUpdatedTime(Date startUpdatedTime) {
        this.startUpdatedTime = startUpdatedTime;
    }

    public Date getEndUpdatedTime() {
        return endUpdatedTime;
    }

    public void setEndUpdatedTime(Date endUpdatedTime) {
        this.endUpdatedTime = endUpdatedTime;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public List<String> getTreeIds() {
        return treeIds;
    }

    public void setTreeIds(List<String> treeIds) {
        this.treeIds = treeIds;
    }

    public List<String> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<String> userIds) {
        this.userIds = userIds;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public boolean isMultiItem() {
    return isMultiItem;
}

    public void setIsMultiItem(boolean isMultiItem) {
        this.isMultiItem = isMultiItem;
    }

    public void setMultiItem(boolean multiItem) {
        isMultiItem = multiItem;
    }

    public Integer getSharedFlag() {
        return sharedFlag;
    }

    public void setSharedFlag(Integer sharedFlag) {
        this.sharedFlag = sharedFlag;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }
}